Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159302 - mailman can't remove a mailinglist
Summary: mailman can't remove a mailinglist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-01 15:38 UTC by David Juran
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: 1.17.30-2.88
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 09:06:20 UTC


Attachments (Terms of Use)

Description David Juran 2005-06-01 15:38:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
When removing a mailing list from the mailman web interface the following line shows up in /var/log/messages

Jun  1 17:27:52 jackson kernel: audit(1117639672.455:0): avc:  denied  { rmdir } for  pid=27568 exe=/usr/bin/python name=2005-June dev=dm-2 ino=1488096 scontext=root:system_r:mailman_cgi_t tcontext=root:object_r:mailman_archive_t tclass=dir

I have mailman-2.1.5-33.rhel4 installed

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.52.1

How reproducible:
Always

Steps to Reproduce:
1. remove a mailing list from the mailman web interface

  

Additional info:

Comment 1 Daniel Walsh 2005-06-02 12:06:58 UTC
Please update to the U1 policy available on 

ftp://people.redhat.com/dwalsh/SELinux/RHEL4/u1/

It should fix this problem.

Comment 2 David Juran 2005-06-07 12:23:34 UTC
Yes, with selinux-policy-targeted-1.17.30-2.88 everything works fine (-:

Comment 3 David Juran 2005-06-07 18:58:33 UTC
AFAIK, the errata isn't officially released yet, so I'll reopen this bug until
it is.

Comment 4 David Juran 2005-06-13 09:06:20 UTC
Now however, I can agree to close this bug (-:


Note You need to log in before you can comment on or make changes to this bug.